Subject: [trill] Shepherd's report on draft-ietf-trill-tree-selection-03

From: "Susan Hares" <[email-masked]>
Date: Thu, 17 Mar 2016 13:30:36 -0400

YIzhou, Donald and Weiquo: 

Below is the shepherds report for the draft.  Would you take time this week
to made these minor editorial changes before the draft deadline? 

Sue 

Summary: 

.         This document is well written, and easy to understand.  

.         Authors should consider the editorial comments from the shepherd 

.         Authors should answer the RTG-DIR comments. 

Shepherd  Editorial issues: 

.         Abstract old:/number of trees; however there is limited capacity/

               New proposed/number of trees, but there is a limited hardware
capacity/

.         Section 1.1 - English and spelling 

.         Old-1/ Every RBridge can specify the trees it will use for
multi-destiantion TRILL data packets it originated in the Trees Used
Identifiers (TREE-USE-IDs)/

.         New-1/ Every RBridge can specify the trees it will use for
multi-destination TRILL data packets it originates in the Trees Used
Identifiers (TREE-USE-IDs)/

.         Old-2/ Trees Used Identifiers sub-TLVs are used to build the RPF
Check table that is used for reverse path forwarding check; Interested VLANs
and Interested Labels sub-TLVs are used for distribution tree pruning and
the multi-destination forwarding table with pruning info is built based on
that./

.         New-2/ (two sentences makes it clearer.  Trees Used Identifiers
sub-TLVs are used to build the RPF Check table that is used for reverse path
forwarding check.   Interested VLANs and Interested Labels sub-TLVs are used
for distribution tree pruning and the multi-destination forwarding table
with pruning info is built based on that RPF Check Table. /

.         Old-3 /    Defaults are provided but it is implementation
dependent how many trees to calculate,/

.         New-3 /    Defaults are provided but it depends on the
implementation how many trees are calculated,/

1.2 section 

.         P. 5 Paragraph 2  Old/For the former/ New/ For the former (one
distribution tree root)/

.         P 5. Paragraph 3  Old/for the latter/  New / For the latter
(ECMP-Like algorithm)/ 

.         P 7 paragraph 2 starting "security concerns:

o   Old/advantage of this/ New: /advantage of this leakage of traffic/

o   (if my sentences completion is not correct fill in what "this" means"

4 section 

.         Paragraph 2

o   Old/TREE-USE-IDs and INT-VLAN sub-TLVs are still useful for some
purposes other than building multicast forwarding table, for example RPF
table building, spanning tree root notification, etc./

o   New / TREE-USE-IDs and INT-VLAN sub-TLVs are still useful for some
purposes other than building multicast forwarding table (E.g. example RPF
table building, spanning tree root notification, etc.) /

.         Paragraph 3 : Old /tree1 and tree 2 in/tree1 and tree2,/

>From the RTG-DIR Review was not responded to: 

Section 3.2 - A list of the 4 TLVs with their name and one sentence
summarizing its use would improve readability. Same applies in the following
to e.g. section 3.2.1 where the paragraph before the figure is not very
clear on the usage of the TLV.

Sue

---

From: "Susan Hares" <[email-masked]>
Date: Thu, 17 Mar 2016 13:49:58 -0400

Yiznou, Donald, Weiquo, Hao, Somnath: 

One minor detail - Rfc7180bis - needs to be replaced with RFC7780.

Sue 

From: trill [mailto:[email-masked]] On Behalf Of Susan Hares
Sent: Thursday, March 17, 2016 1:31 PM
To: [email-masked]
Cc: 'Donald Eastlake'; [email-masked]
Subject: [trill] Shepherd's report on draft-ietf-trill-tree-selection-03

Sue 

Summary: 

1.2 section 

4 section 

.         Paragraph 2

 

Sue

---

From: Liyizhou <[email-masked]>
Date: Thu, 17 Mar 2016 23:48:26 +0000

Hi Sue,
Yes, I will do so.

Thanks,
Yizhou

发件人: trill [mailto:[email-masked]] 代表 Susan Hares
发送时间: 2016年3月18日 1:31
收件人: [email-masked]
抄送: 'Donald Eastlake'; [email-masked]
主题: [trill] Shepherd's report on draft-ietf-trill-tree-selection-03

Below is the shepherds report for the draft.  Would you take time this week to made these minor editorial changes before the draft deadline?

Sue

Summary:

·         This document is well written, and easy to understand.

·         Authors should consider the editorial comments from the shepherd

·         Authors should answer the RTG-DIR comments.

·         Abstract old:/number of trees; however there is limited capacity/

               New proposed/number of trees, but there is a limited hardware capacity/

·         Section 1.1 – English and spelling

·         Old-1/ Every RBridge can specify the trees it will use for multi-destiantion TRILL data packets it originated in the Trees Used Identifiers (TREE-USE-IDs)/

·         New-1/ Every RBridge can specify the trees it will use for multi-destination TRILL data packets it originates in the Trees Used Identifiers (TREE-USE-IDs)/

·         Old-2/ Trees Used Identifiers sub-TLVs are used to build the RPF Check table that is used for reverse path forwarding check; Interested VLANs and Interested Labels sub-TLVs are used for distribution tree pruning and the multi-destination forwarding table with pruning info is built based on that./

·         New-2/ (two sentences makes it clearer.  Trees Used Identifiers sub-TLVs are used to build the RPF Check table that is used for reverse path forwarding check.   Interested VLANs and Interested Labels sub-TLVs are used for distribution tree pruning and the multi-destination forwarding table with pruning info is built based on that RPF Check Table. /

·         Old-3 /    Defaults are provided but it is implementation dependent how many trees to calculate,/

·         New-3 /    Defaults are provided but it depends on the implementation how many trees are calculated,/

1.2 section

·         P. 5 Paragraph 2  Old/For the former/ New/ For the former (one distribution tree root)/

·         P 5. Paragraph 3  Old/for the latter/  New / For the latter (ECMP-Like algorithm)/

·         P 7 paragraph 2 starting “security concerns:

o   (if my sentences completion is not correct fill in what “this” means”
4 section

·         Paragraph 2

o   Old/TREE-USE-IDs and INT-VLAN sub-TLVs are still useful for some purposes other than building multicast forwarding table, for example RPF table building, spanning tree root notification, etc./

o   New / TREE-USE-IDs and INT-VLAN sub-TLVs are still useful for some purposes other than building multicast forwarding table (E.g. example RPF table building, spanning tree root notification, etc.) /

·         Paragraph 3 : Old /tree1 and tree 2 in/tree1 and tree2,/

Section 3.2 – A list of the 4 TLVs with their name and one sentence summarizing its use would improve readability. Same applies in the following to e.g. section 3.2.1 where the paragraph before the figure is not very clear on the usage of the TLV.

Sue